Summary:	Hunspell - a spell checker and morphological analyzer
Summary(hu.UTF-8):	Hunspell egy helyesírás-ellenőrző és morfológiai elemző könyvtár és program
Summary(pl.UTF-8):	hunspell - narzędzie do sprawdzania pisowni i analizy morfologicznej
Name:		hunspell
Version:	1.7.0
Release:	2
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Applications/Text
#Source0Download: https://github.com/hunspell/hunspell/releases
Source0:	https://github.com/hunspell/hunspell/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b2399a4aa927e8b3e171d9ea6737cc02
Patch0:		%{name}-install.patch
URL:		http://hunspell.github.io/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hunspell is a spell checker and morphological analyzer library and
program designed for languages with rich morphology and complex word
compounding or character encoding. Hunspell interfaces: Ispell-like
terminal interface using Curses library, Ispell pipe interface,
OpenOffice.org UNO module.

This package contains base programs (hunspell, hzip, hunzip).

%description -l hu.UTF-8
Hunspell is a spell checker and morphological analyzer library and
program designed for languages with rich morphology and complex word
compounding or character encoding. Hunspell interfaces: Ispell-like
terminal interface using Curses library, Ispell pipe interface,
OpenOffice.org UNO module.

%description -l pl.UTF-8
hunspell to biblioteka oraz program do sprawdzania pisowni i analizy
morfologicznej zaprojektowany dla języków z bogatą morfologią i
zkomplikowanym składaniem słów lub kodowaniem znaków. Interfejsy
hunspella to: interfejs terminalowy w stylu Ispella korzystający z
biblioteki Curses, interfejs potokowy Ispella, moduł UNO
OpenOffice.org.

Ten pakiet zawiera podstawowe programy (hunspell, hzip, hunzip).

%package tools
Summary:	hunspell tools
Summary(pl.UTF-8):	Narzędzia hunspella
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Obsoletes:	myspell-tools

%description tools
This package contains hunspell utilities, including munch and unmunch.

%description tools -l pl.UTF-8
Ten pakiet zawiera narzędzia dla hunspella, w tym programy munch i
unmunch.

%package libs
Summary:	Hunspell spell checker and morphological analyzer library
Summary(pl.UTF-8):	Biblioteka Hunspell do sprawdzania pisowni i analizy morfologicznej
Group:		Libraries

%description libs
Hunspell is a spell checker and morphological analyzer library and
program designed for languages with rich morphology and complex word
compounding or character encoding. Hunspell interfaces: Ispell-like
terminal interface using Curses library, Ispell pipe interface,
OpenOffice.org UNO module.

This package contains the shared library.

%description libs -l pl.UTF-8
hunspell to biblioteka oraz program do sprawdzania pisowni i analizy
morfologicznej zaprojektowany dla języków z bogatą morfologią i
zkomplikowanym składaniem słów lub kodowaniem znaków. Interfejsy
hunspella to: interfejs terminalowy w stylu Ispella korzystający z
biblioteki Curses, interfejs potokowy Ispella, moduł UNO
OpenOffice.org.

Ten pakiet zawiera bibliotekę współdzieloną.

%package devel
Summary:	Files for developing with hunspell
Summary(pl.UTF-8):	Pliki do programowania z użyciem hunspella
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Includes and definitions for developing with hunspell.

%description devel -l hu.UTF-8
Header-fájlok és definíciók hunspell-lel való fejlesztéshez.

%description devel -l pl.UTF-8
Pliki nagłówkowe i definicje do programowania z użyciem hunspella.

%package static
Summary:	Static hunspell library
Summary(pl.UTF-8):	Statyczna biblioteka hunspella
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static hunspell library.

%description static -l hu.UTF-8
Hunspell statikus könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka hunspella.

%prep
%setup -q
%patch0 -p1

# stale file in source tarball (even though *.gmo are not included), breaks locale install
%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure \
	--with-readline \
	--with-ui

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libhunspell-*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hunspell
%attr(755,root,root) %{_bindir}/hunzip
%attr(755,root,root) %{_bindir}/hzip
%{_mandir}/man1/hunzip.1*
%{_mandir}/man1/hzip.1*
%{_mandir}/man1/hunspell.1*
%{_mandir}/man5/hunspell.5*
%lang(hu) %{_mandir}/hu/man1/hunspell.1*
%lang(hu) %{_mandir}/hu/man5/hunspell.5*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/affixcompress
%attr(755,root,root) %{_bindir}/analyze
%attr(755,root,root) %{_bindir}/chmorph
%attr(755,root,root) %{_bindir}/ispellaff2myspell
%attr(755,root,root) %{_bindir}/makealias
%attr(755,root,root) %{_bindir}/munch
%attr(755,root,root) %{_bindir}/unmunch
%attr(755,root,root) %{_bindir}/wordforms
%attr(755,root,root) %{_bindir}/wordlist2hunspell

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md THANKS license.hunspell license.myspell
%attr(755,root,root) %{_libdir}/libhunspell-1.7.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhunspell-1.7.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhunspell-1.7.so
%{_includedir}/hunspell
%{_pkgconfigdir}/hunspell.pc
%{_mandir}/man3/hunspell.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libhunspell-1.7.a
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hunspell.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d5f8dc6
- release 2 (by relup.sh)

* Mon Dec 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 0085029
- updated to 1.7.0 (note: new soname)

* Fri Apr 21 2017 Jan Rękorajski <baggins@pld-linux.org> 1b6ff8d
- up to 1.6.1

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 419bd0a
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Mon May 16 2016 Jakub Bogusz <qboosh@pld-linux.org> de8808b
- separated -libs (new library name, so no Conflicts needed)

* Mon May 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 1bb5fd7
- updated to 1.4.1 (note: new library name; 1.3.x left on hunspell-1.3 branch)
- dropped libunspell.so.1 provide (long time obsolete)
- drop .la file
- tools Obsoletes: myspell-tools (hunspell is derived from myspell, functionality is contained)

* Mon May 16 2016 Jakub Bogusz <qboosh@pld-linux.org> eb6f6d0
- new URLs, updated to 1.3.4 (latest 1.3.x release)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> e2667d9
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6da0103
- updated gettext BR

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 954dfa9
- updated to 1.3.3
- added install patch (fixes hunspell(5) hu man installation)
- ncurses interface is now built

* Tue Jan 10 2012 lisu <lisu@pld-linux.org> 60fe328
- no more separated libtinfo(w)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b2c3a07
- release 2

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 3073949
- Up to 1.3.2\n- Bump so version

* Thu Feb 03 2011 Jakub Bogusz <qboosh@pld-linux.org> cc6d318
- updated to 1.3.1

* Mon Jan 10 2011 Caleb Maclennan <caleb@alerque.com> 9a0fdea
- Up to 1.2.14

* Tue Jan 04 2011 Caleb Maclennan <caleb@alerque.com> 0dc7ad4
- Up to 1.2.13

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> 952c7b7
- Up to 1.2.12

* Sun May 23 2010 Jakub Bogusz <qboosh@pld-linux.org> c00b984
- updated to 1.2.11

* Thu Mar 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d7bf2b7
- up to 1.2.9

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> b3c874b
- BR: gettext-devel

